[Mail Notifications] (feature back) allow mails to be sent to multiple recipients at once

2020-01-10 15:29 - nicolas felix

Status: Closed Start date:  
Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Hi everybody,

if I clearly understood, following #26791, mails are now sent individually.

I agree, this behavior enables to to get around some problems (as mentioned into the #26791 ticket).

But, in my context (after migrating from 3.4.2 to 4.0.6), this brings a huge drawback: Many many more mails are sent.

We define a gmail account to send those mails. Gmail prevents all mails to be sent, I don't know exactly what restrictions are

applied, but now we apparently reached them.

Maybe you can provide me a free smtp server, but I am not sure this kind of service exists.

But I will prefer to :

to have an option to group all recipients into a mail field (To, CC or even better BCC)

and thus to get the option BCC carbon copy recipients back (So I am not fan of the #30820 ticket :-P )

I will be surprised to be the only one concerned by this point, but maybe I have wrongly set up my redmine environment.

Thanks you for any help and feedbacks.

Nicolas

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

History

#1 - 2020-01-12 19:56 - Marius BĂLTEANU

- Related to Feature #26791: Send individual notification mails per mail recipient added

#2 - 2020-01-12 20:06 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Wont fix

nicolas felix wrote:

Hi everybody,

if I clearly understood, following #26791, mails are now sent individually.

I agree, this behavior enables to to get around some problems (as mentioned into the #26791 ticket).

But, in my context (after migrating from 3.4.2 to 4.0.6), this brings a huge drawback: Many many more mails are sent.

 Indeed, this is the context for everyone who migrated to Redmine 4.*, but the drawback is not such a huge problem comparing with the problems

generated by the initial implementation.

We define a gmail account to send those mails. Gmail prevents all mails to be sent, I don't know exactly what restrictions are applied, but now

we apparently reached them.
 https://support.google.com/mail/answer/22839?hl=en

https://support.google.com/a/answer/166852?hl=en

Maybe you can provide me a free smtp server, but I am not sure this kind of service exists.

 We cannot provide such a thing, but there are plenty of options on the market, even with a free plan.

But I will prefer to :

to have an option to group all recipients into a mail field (To, CC or even better BCC)

and thus to get the option BCC carbon copy recipients back (So I am not fan of the #30820 ticket :-P )

I will be surprised to be the only one concerned by this point, but maybe I have wrongly set up my redmine environment.

Thanks you for any help and feedbacks.

Nicolas

 I'm closing this with "Won't fix" because I'm sure that reverting to the old behaviour or make it configurable is not an option in the near future.

Please fell free to request help on forum regarding the available options to send emails.

#3 - 2020-01-13 08:16 - nicolas felix

Marius BALTEANU wrote:

Indeed, this is the context for everyone who migrated to Redmine 4.*, but the drawback is not such a huge problem comparing with the problems

generated by the initial implementation.

 This is your point of view, unfortunately, not mine.

We don't face any problems in 3.4 version (related to mail sending) now we have a huge problem (to use your expression).

Maybe this is a point you do not anticipate while working on #26791.

I find it unfortunate you did not let the choice to the administrator.

Too bad for me, I will look for another solution.

Nicolas

#4 - 2020-01-14 04:56 - Bernhard Rohloff

FYI the send limits of the GSuite service are listed here: https://support.google.com/a/answer/166852?hl=en
